net.i2p.client.streaming

## Class SchedulerConnecting

- java.lang.Object
- - net.i2p.client.streaming.SchedulerImpl
  - - net.i2p.client.streaming.SchedulerConnecting

All Implemented Interfaces:
  TaskScheduler

     class SchedulerConnecting
    extends SchedulerImpl

Scheduler used once we've sent our SYN but it hasn't been ACKed yet. This connection may or may not be locally created.

## Entry conditions:

- Packets sent but none ACKed

## Events:

- Packets received (which may or may not ACK the ones sent)
- Message flush (explicitly, through a full buffer, or stream closure)
- Connection establishment timeout
- RESET received

## Next states:

`connected` - after receiving an ACK
`closing` - after both sending and receiving a CLOSE
`closed` - after both sending and receiving ACKs on the CLOSE
`dead` - after sending or receiving a RESET

### Field Summary

### Fields inherited from class net.i2p.client.streaming.SchedulerImpl

`_context`

### Constructor Summary

Constructors
Constructor and Description
`SchedulerConnecting(I2PAppContext ctx)`

### Method Summary

Methods
`boolean` `accept(Connection con)` Determine whether this scheduler is fit to operate against the given connection
`void` `eventOccurred(Connection con)` An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.

### Methods inherited from class net.i2p.client.streaming.SchedulerImpl

`reschedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchedulerConnecting

    public SchedulerConnecting(I2PAppContext ctx)

### Method Detail

#### accept

    public boolean accept(Connection con)

Description copied from interface: `TaskScheduler`
Determine whether this scheduler is fit to operate against the given connection

#### eventOccurred

    public void eventOccurred(Connection con)

Description copied from interface: `TaskScheduler`
An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.